## erlang-p1-utils 1.0.3

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

test:
	rebar skip_deps=true eunit

.PHONY: clean src

## erlang-p1-utils 0.2014.08.25

=== debian/changelog ===
erlang-p1-utils (0.2014.08.25-1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Mar 2017 17:14:38 +0100

erlang-p1-utils (0.2014.08.25-1) unstable; urgency=medium

  * Initial release (Closes: #759255)

 -- Philipp Huebner <debalance@debian.org>  Wed, 27 Aug 2014 22:54:21 +0200

=== debian/control ===
Source: erlang-p1-utils
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:17.3)
Standards-Version: 3.9.5
Homepage: https://github.com/processone/p1_utils


Package: erlang-p1-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: set of small Erlang libraries
 The libraries in this package were written for ejabberd which still
 uses them. They were split off into their own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-p1-utils 0.2015.02.04

=== debian/changelog ===
erlang-p1-utils (0.2015.02.04-2) unstable; urgency=medium

  * Enabled eunit
  * Fixed debian/copyright (make lintian happy)

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 17:37:59 +0200

erlang-p1-utils (0.2015.02.04-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.04
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 18:40:07 +0200

=== debian/control ===
Source: erlang-p1-utils
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools
Standards-Version: 3.9.6
Homepage: https://github.com/processone/p1_utils
Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-utils.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-utils.git

Package: erlang-p1-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: set of small Erlang libraries
 The libraries in this package were written for ejabberd which still
 uses them. They were split off into their own project to follow
 Erlang/OTP guidelines.

## erlang-p1-utils 1.0.3

=== debian/changelog ===
erlang-p1-utils (1.0.3-2) unstable; urgency=medium

  * Updated debian/copyright
  * Install docs
  * Updated Vcs-* fields in debian/control
  * Updated Standards-Version: 3.9.7 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Feb 2016 18:23:04 +0100

erlang-p1-utils (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3
  * Updated debian/watch
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 13 Jan 2016 20:09:06 +0100

erlang-p1-utils (0.2015.10.16-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.16

 -- Philipp Huebner <debalance@debian.org>  Sat, 31 Oct 2015 16:22:21 +0100

erlang-p1-utils (0.2015.10.07-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.07

 -- Philipp Huebner <debalance@debian.org>  Thu, 08 Oct 2015 13:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/processone/p1_utils
-Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-utils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-utils.git
+Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
+Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
 
 Package: erlang-p1-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-utils


%:
	dh $@ --buildsystem=rebar --with rebar

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-utils_$1.tar.gz/" \
  https://github.com/processone/p1_utils/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-utils 1.0.5

=== debian/changelog ===
erlang-p1-utils (1.0.5-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:29:33 +0200

erlang-p1-utils (1.0.5-3) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:56 +0200

erlang-p1-utils (1.0.5-2) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:14:41 +0200

erlang-p1-utils (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 16:09:31 +0200

erlang-p1-utils (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 30 May 2016 19:01:46 +0200

=== debian/control ===
Source: erlang-p1-utils
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-crypto, erlang-eunit, erlang-syntax-tools
Standards-Version: 3.9.8
Homepage: https://github.com/processone/p1_utils
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git

Package: erlang-p1-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}
Description: set of small Erlang libraries
 The libraries in this package were written for ejabberd which still
 uses them. They were split off into their own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-utils

## erlang-p1-utils 1.0.9

=== debian/changelog ===
erlang-p1-utils (1.0.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:11 +0200

erlang-p1-utils (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 11:46:00 +0200

erlang-p1-utils (1.0.8-1~exp2) experimental; urgency=medium

  * Install header file

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 22:45:17 +0200

erlang-p1-utils (1.0.8-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.8
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 11:42:21 +0200

=== debian/control ===
Source: erlang-p1-utils
Section: libs
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools
Standards-Version: 4.0.0
Homepage: https://github.com/processone/p1_utils
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git

Package: erlang-p1-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: set of small Erlang libraries
 The libraries in this package were written for ejabberd which still
 uses them. They were split off into their own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,15 @@
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_install:
+	dh_auto_install
+	for file in include/*.hrl; do \
+		fname=$$(basename $${file}) ; \
+		subdir=$$(dirname $${file}) ; \
+		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_utils-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
+			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_utils-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_utils-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+		fi ; \
+	done

## erlang-p1-utils 1.0.10

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

.PHONY: clean src test

=== debian/changelog ===
erlang-p1-utils (1.0.10-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:00 +0100

erlang-p1-utils (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 19:41:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: erlang-p1-utils
 Section: libs
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/processone/p1_utils
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-utils.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 
 Package: erlang-p1-utils
 Architecture: any

## erlang-p1-utils 1.0.12

=== debian/changelog ===
erlang-p1-utils (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 12:49:33 +0200

erlang-p1-utils (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 22:23:02 +0200

=== debian/control ===
Source: erlang-p1-utils
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
Homepage: https://github.com/processone/p1_utils

Package: erlang-p1-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: set of small Erlang libraries
 The libraries in this package were written for ejabberd which still
 uses them. They were split off into their own project to follow
 Erlang/OTP guidelines.

## erlang-p1-utils 1.0.13

=== debian/changelog ===
erlang-p1-utils (1.0.13-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Sat, 17 Nov 2018 22:21:46 +0100

erlang-p1-utils (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-utils_$1.tar.gz/" \
  https://github.com/processone/p1_utils/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-utils 1.0.15

=== debian/changelog ===
erlang-p1-utils (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Updated Erlang dependencies
  * Updated debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:50:18 +0200

## erlang-p1-utils 1.0.16

=== debian/changelog ===
erlang-p1-utils (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 13:52:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

## erlang-p1-utils 1.0.17

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib erts inets crypto compiler edoc tools syntax_tools xmerl; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/p1_utils.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/p1_utils.plt \
	-o dialyzer/p1_utils.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

p1_utils_plt: dialyzer/p1_utils.plt
	@dialyzer --plt dialyzer/p1_utils.plt --check_plt -o dialyzer/p1_utils.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt p1_utils_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

.PHONY: clean src test dialyzer erlang_plt p1_utils_plt

=== debian/changelog ===
erlang-p1-utils (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
-
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-utils

## erlang-p1-utils 1.0.20

=== debian/changelog ===
erlang-p1-utils (1.0.20-1) unstable; urgency=medium

  * New upstream version 1.0.20

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 16:35:30 +0200

erlang-p1-utils (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 20:22:48 +0200

erlang-p1-utils (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Mar 2020 16:10:52 +0100

## erlang-p1-utils 1.0.21

=== debian/changelog ===
erlang-p1-utils (1.0.21-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:09:55 +0100

erlang-p1-utils (1.0.21-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:24:51 +0100

erlang-p1-utils (1.0.21-1) unstable; urgency=medium

  * New upstream version 1.0.21
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Added debian/erlang-p1-utils.install
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 22:19:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils
@@ -21,6 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: set of small Erlang libraries
  The libraries in this package were written for ejabberd which still
  uses them. They were split off into their own project to follow

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-utils_$1.tar.gz/" \
  https://github.com/processone/p1_utils/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-utils 1.0.23

=== debian/changelog ===
erlang-p1-utils (1.0.23-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 18:58:28 +0200

erlang-p1-utils (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 19:50:03 +0200

## erlang-p1-utils 1.0.24

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,27 @@
+REBAR ?= ./rebar
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
+
 all: src
 
 src:
-	rebar compile
+	$(REBAR) compile
 
 clean:
-	rebar clean
+	$(REBAR) clean
 
+ifeq "$(IS_REBAR3)" "1"
+test:
+	$(REBAR) eunit -v
+else
 test: all
-	rebar -v skip_deps=true eunit
+	$(REBAR) -v skip_deps=true eunit
+endif
 
+ifeq "$(IS_REBAR3)" "1"
+dialyzer:
+	$(REBAR) dialyzer
+else
 dialyzer/erlang.plt:
 	@mkdir -p dialyzer
 	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
@@ -33,5 +46,6 @@
 	@dialyzer --plts dialyzer/*.plt --no_check_plt \
 	--get_warnings -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
+endif
 
 .PHONY: clean src test dialyzer erlang_plt p1_utils_plt

=== debian/changelog ===
erlang-p1-utils (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 12:08:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-utils_$1.tar.gz/" \
  https://github.com/processone/p1_utils/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-utils 1.0.25

=== debian/changelog ===
erlang-p1-utils (1.0.25-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-utils.install and fix debian/rules
    (closes: #1049730)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-utils.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:54:59 +0100

erlang-p1-utils (1.0.25-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 10:44:45 +0100

erlang-p1-utils (1.0.25-1) unstable; urgency=medium

  * New upstream version 1.0.25
  * Updated debian/docs
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Removed superfluous block from debian/copyright
  * Dropped debian/erlang-p1-utils.doc-base

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 09:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base (>= 1:19.2),
+               dh-rebar (>= 0.0.6),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: set of small Erlang libraries

## erlang-p1-utils 1.0.26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-REBAR ?= ./rebar
+REBAR ?= rebar
 
 IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)

=== debian/changelog ===
erlang-p1-utils (1.0.26-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:28:03 +0100

erlang-p1-utils (1.0.26-1) unstable; urgency=medium

  * New upstream version 1.0.26

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_utils-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete

## erlang-p1-utils 1.0.28

=== debian/changelog ===
erlang-p1-utils (1.0.28-1) unstable; urgency=medium

  * Team upload.
  * Update watch file to version 5.
  * Bump Standards-Version.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Tue, 10 Feb 2026 20:36:45 +0000

erlang-p1-utils (1.0.27-1) unstable; urgency=medium

  * New upstream version 1.0.27
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 12 Mar 2025 13:47:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-utils.git
 Homepage: https://github.com/processone/p1_utils

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/p1_utils
